funding-rate: Get Funding Rate History

API: github.io:bybit
Endpoint: /v5/market/funding-rate
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 337ms

Description

Returns historical funding rates for perpetual swap contracts. Use this to track funding costs for holding positions. The funding rate represents the periodic payment exchanged between long and short position holders.

From spec: Get the funding rate history for perpetual contracts.

Usage Tips

- Funding rate is paid every 8 hours at 00:00, 08:00, and 16:00 UTC - Positive rate means longs pay shorts; negative rate means shorts pay longs - Symbol must be specified with proper format (e.g., BTCUSDT for linear, BTCUSD for inverse)

Parameters (3)

category (string, query, required)

Product type (linear or inverse only)

Constraints: {'enum': ['linear', 'inverse']}

limit (integer, query, optional)

Results per page (1-200)

Constraints: {'minimum': 1, 'maximum': 200}

symbol (string, query, required)

Symbol name, e.g., BTCUSDT

Examples (1)

Get latest funding rate for BTCUSDT linear perpetual probe-gate

Demonstrates fetching the most recent funding rate for a linear perpetual contract.

curl 'https://api.bybit.com/v5/market/funding/history?category=linear&symbol=BTCUSDT&limit=1'
import requests

resp = requests.get(
    "https://api.bybit.com/v5/market/funding/history",
    params={
        'category': 'linear',
        'symbol': 'BTCUSDT',
        'limit': '1',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("bybit")
result = api.fetch("v5/market/funding-rate", category="linear", symbol="BTCUSDT", limit=1)

for item in result:
    print(item)
const resp = await fetch("https://api.bybit.com/v5/market/funding/history?category=linear&symbol=BTCUSDT&limit=1");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:21:04.037423 200 337ms
2026-04-15 03:35:30.224053 200 336ms
2026-04-14 03:18:38.090622 200 377ms
2026-04-12 13:14:55.914464 200 348ms
2026-04-10 00:35:58.074040 200 255ms
2026-04-09 00:05:37.184262 200 360ms